﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head>
        <link href="../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Managing SOD Simulations (SAP)</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Managing SOD Simulations (SAP)</h1>
        <p>The SOD simulations can be created and managed based on SAP entitlements.&#160;</p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">When you perform SOD evaluation for SAP systems, the violation is calculated at the transaction level.</p>
        </div>
        <h2 id="ManagingSODSimulations(SAP)-ManagingSODSimulationsBasedonEntitlements(Tcode)">Managing SOD Simulations Based on Entitlements (Tcode)</h2>
        <p>You can create and manage SOD simulation based on SAP entitlements (Tcodes) using the <strong>Create New Simulation</strong> page.</p>
        <p>To create a new SOD simulation based on entitlements, perform the following steps:</p>
        <ol>
            <li>Go to&#160;<strong>SOD &gt; Simulation&#160;&gt;&#160;Simulation List</strong>.</li>
            <li>Click the&#160;<strong>Actions</strong>&#160;arrow and select&#160;<strong>Create  &#160;Simulation</strong>. The <strong>Create New Simulation</strong> page appears.</li>
            <li>
                <p class="auto-cursor-target">Enter/select the values in the&#160;<strong>Fill in the data</strong>&#160;and&#160;<strong>Select one of the Simulation Scenarios</strong>&#160;sections.</p>
                <div class="table-wrap">
                    <div class="table-wrap">
                        <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                            <col style="width: 0px;" class="TableStyle-Default-Table-Column-Column1" />
                            <col style="width: 0px;" class="TableStyle-Default-Table-Column-Column1" />
                            <thead>
                                <tr class="TableStyle-Default-Table-Head-Header1">
                                    <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Parameter</th>
                                    <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr class="TableStyle-Default-Table-Body-Body1">
                                    <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                        <p class="table-text">Name</p>
                                    </td>
                                    <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                        <p class="table-text">Provide a name for the simulation being newly created.</p>
                                    </td>
                                </tr>
                                <tr class="TableStyle-Default-Table-Body-Body1">
                                    <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                        <p class="table-text">Description</p>
                                    </td>
                                    <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                        <p class="table-text">Provide a description for the simulation.</p>
                                    </td>
                                </tr>
                                <tr class="TableStyle-Default-Table-Body-Body1">
                                    <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                        <p class="table-text">Comments</p>
                                    </td>
                                    <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                        <p class="table-text">Enter comments for the simulation being newly created.</p>
                                    </td>
                                </tr>
                                <tr class="TableStyle-Default-Table-Body-Body1">
                                    <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                        <p class="table-text">Expiry Date</p>
                                    </td>
                                    <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                        <p class="table-text">Select an expiry date for the simulation using the calendar.&#160;</p>
                                        <p class="table-text">If the date is not selected then&#160;by default expiry date is set to one year from the current date.</p>
                                    </td>
                                </tr>
                                <tr class="TableStyle-Default-Table-Body-Body1">
                                    <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                        <p class="table-text">Ruleset</p>
                                    </td>
                                    <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                        <p class="table-text">Select the appropriate ruleset to which simulation is associated with.</p>
                                    </td>
                                </tr>
                                <tr class="TableStyle-Default-Table-Body-Body1">
                                    <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                        <p class="table-text">System Name</p>
                                    </td>
                                    <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                        <p class="table-text">Select the appropriate security system to which the simulation is associated with.</p>
                                    </td>
                                </tr>
                                <tr class="TableStyle-Default-Table-Body-Body1">
                                    <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                                        <p class="table-text">Select One of the Simulation Scenarios</p>
                                    </td>
                                    <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1">
                                        <p class="table-text">Select the following scenario type and click <strong>Next</strong>.</p>
                                        <ul>
                                            <li>BASED ON ENTITLEMENT</li>
                                        </ul>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </li>
            <li>
                <p class="auto-cursor-target">In <strong>Select Existing Entitlements</strong> page, select one or more entitlements in the <strong>List of Entitlements</strong> section and click one of the following available buttons:</p>
                <ul>
                    <li><strong>Add Selected</strong>- Click this option to add the selected entitlements.</li>
                    <li><strong>Add All</strong>- Click this option to add all the entitlements.</li>
                </ul>
            </li>
            <li>The selected entitlements appear in the <strong>Selected Entitlements</strong> section. If you want to remove, you can use the following options, else click <strong>Next</strong>:<ul><li><strong>Remove -</strong> Click this option to remove the selected entitlements.</li><li><strong>Remove All -</strong> Click this option to remove all the entitlements.</li></ul></li>
            <li>The <strong>Simulation Detail&#160;</strong>page appears.&#160;Click on the relevant entitlement name in the <strong>Simulation Name: &lt;Simulation Name&gt;</strong></li>
        </ol>
        <p>The following tabs appear on the right-side of the section to manage and view SOD simulations based on entitlements:</p>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <ul>
                <li>
                    <p class="note">The Role&#160;Details, Child Role, TCode, Object,&#160;and&#160;SOD&#160;tabs display the existing entitlements and SOD violation details, respectively. This is read-only and you cannot edit, add or delete values in these tabs.</p>
                </li>
                <li>
                    <p class="note">The Child Role&#160;(New),&#160;Tcode&#160;(New), Object (New)&#160;tabs can be used to manage new SOD simulations based on the newly added entitlements (Tcodes and objects). You can add or delete one or more values in these tabs, if the newly added entitlement value causes any violations, those violations caused by the entitlement can be viewed in the&#160;<strong>SOD&#160;(New)</strong>&#160;tab.</p>
                </li>
                <li>
                    <p class="note">You can perform other selective actions while you are managing the SOD simulations.</p>
                </li>
            </ul>
        </div>
        <h1 id="ManagingSODSimulations(SAP)-RoleDetails">Role Details</h1>
        <p>This tab lists the existing SOD violations associated with a user account. The violations that are caused due to existing entitlements are listed in this section. To view, them, click <strong>Run SOD</strong>.</p>
        <p>The existing SOD violations are displayed in the following parameters:</p>
        <div class="table-wrap">
            <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                <col style="width: 0px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 0px;" class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Parameter</th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Entitlement Value</p>
                        </td>
                        <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">The appropriate entitlement value appears.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Entitlement Type</p>
                        </td>
                        <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">The appropriate entitlement type appears.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Custom Property 1</p>
                        </td>
                        <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">The appropriate custom property 1 appears.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Custom Property 2</p>
                        </td>
                        <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">The appropriate custom property 2 appears.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Custom Property 3</p>
                        </td>
                        <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">The appropriate custom property 3 appears.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Custom Property 4</p>
                        </td>
                        <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">The appropriate custom property 4 appears.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Custom Property 5</p>
                        </td>
                        <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">The appropriate custom property 5 appears.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Description</p>
                        </td>
                        <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">The appropriate description appears.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Update Date</p>
                        </td>
                        <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">The last updated date appears.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Entitlement Glossary</p>
                        </td>
                        <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">The appropriate entitlement glossary appears.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">SOX Critical</p>
                        </td>
                        <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">The SOC criticality of the entitlement appears.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">SYS Critical</p>
                        </td>
                        <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">The system criticality of the entitlement appears.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Status</p>
                        </td>
                        <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">The current status appears.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Risk</p>
                        </td>
                        <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">The priority of the risk appears.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Privileged</p>
                        </td>
                        <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">The privileges as applicable appears.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Financial</p>
                        </td>
                        <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">The financial impact appears, if any.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Module</p>
                        </td>
                        <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">The appropriate module name appears.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Access</p>
                        </td>
                        <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">The appropriate access details appears.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">Role Type</p>
                        </td>
                        <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p class="table-text">The appropriate role type appears.</p>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <h3 id="ManagingSODSimulations(SAP)-ChildRole">Child Role</h3>
        <p>This tab list the existing child role details.</p>
        <p>The existing child roles are displayed in the following columns:</p>
        <ul>
            <li>Entitlement Value</li>
            <li>Description</li>
            <li>Entitlement Glossary</li>
            <li>Entitlement Type</li>
            <li>Custom Property 1</li>
        </ul>
        <h3 id="ManagingSODSimulations(SAP)-ChildRole(New)">Child Role (New)</h3>
        <p>You can use this tab to add additional new child roles.</p>
        <p>The existing child roles along with the new are displayed in the following columns:</p>
        <ul>
            <li>Entitlement Value</li>
            <li>Already Existing</li>
            <li>Description</li>
            <li>Entitlement Glossary</li>
            <li>Entitlement Type</li>
            <li>Custom Property 1</li>
        </ul>
        <p>To add an additional role, perform the following steps:</p>
        <ol>
            <li>Click <strong>+ Add Role,&#160;</strong>search for one or more entitlement values using <strong>Advanced</strong>option search. For example, you can search based on the entitlement type and status.</li>
            <li>Select one or more entitlement checkboxes and click <strong>Save</strong>. Else, click <strong>Close.&#160;</strong>The newly added entitlements and their details are listed in the following columns:</li>
        </ol>
        <ul>
            <li>Entitlement Value -&#160;Displays the entitlement value name.</li>
            <li>Display Name</li>
            <li>Glossary</li>
            <li>Security System</li>
            <li>Endpoint</li>
            <li>Entitlement Type</li>
            <li>Sox Critical</li>
        </ul>
        <p>To remove an existing role, click <strong>X</strong> in-line with the entitlement value.</p>
        <h3 id="ManagingSODSimulations(SAP)-Tcode">Tcode</h3>
        <div class="info" MadCap:conditions="Default.v55X" MadCap:autonum="&lt;b&gt;Info&lt;/b&gt;">
            <p class="note">From release v5.5 onwards, while running the SOD simulation for SAP, IGA will be sending '*' tcode with the list of tcodes from the sap role.</p>
        </div>
        <div class="info" MadCap:conditions="Default.v2020X,Default.v2021X" MadCap:autonum="&lt;b&gt;Info&lt;/b&gt;">
            <p class="note">While running the SOD simulation for SAP, IGA will be sending '*' tcode with the list of tcodes from the sap role.</p>
        </div>
        <p>In the Simulation screen,&#160;* does not indicate that the Role had * in it. This has been specifically added by the Simulation engine for internal processing purposes. The purpose of&#160;*&#160; is to evaluate whether the Roles have been associated against any Critical Permission Risks. When ever a risk is associated with *, it indicates that the Risk is of the type Critical Permission.</p>
        <p>If the systems do not have Critical Permission Risks, then the * which was added by the Simulation engine is completely ignored.</p>
        <p>* added in Simulation DOES NOT mean that Simulation is evaluating the ROLE for all tcodes in the systems. It is merely trying to look and match for * entry in tcode column to flag a critical permission Risk. This tab lists the existing Tcode details.</p>
        <p>The existing Tcodes are displayed in the following columns:</p>
        <ul>
            <li>Entitlement Value</li>
            <li>Roles</li>
            <li>Description</li>
            <li>Entitlement Glossary</li>
            <li>Endpoint</li>
            <li>Security System</li>
        </ul>
        <h3 id="ManagingSODSimulations(SAP)-Tcode(New)">Tcode (New)</h3>
        <p>You can use this tab to add additional new Tcodes.</p>
        <p>The existing Tcodes along with the new are displayed in the following columns:</p>
        <ul>
            <li>Entitlement Value</li>
            <li>Already Existing</li>
            <li>Roles</li>
            <li>Description</li>
            <li>Entitlement Glossary</li>
            <li>Endpoint</li>
            <li>Security System</li>
        </ul>
        <p>To add additional Tcode, perform the following steps:</p>
        <ol>
            <li>Click <strong>+ Add Tcode</strong>. The <strong>Add Tcode</strong> page appears.</li>
            <li>Select role in the <strong>Select Role</strong> field.</li>
            <li>Search for one or more entitlement values using <strong>Advanced</strong> option search. For example, you can search based on the entitlement type and status.</li>
            <li>Select one or more entitlement checkboxes and click <strong>Save</strong>. Else, click <strong>Close.&#160;</strong>The newly added entitlements and their details are listed in the following columns:</li>
        </ol>
        <ul>
            <li>Entitlement Value -&#160;Displays the entitlement value name.</li>
            <li>Display Name</li>
            <li>Glossary</li>
            <li>Security System</li>
            <li>Endpoint</li>
            <li>Entitlement Type</li>
            <li>Sox Critical</li>
        </ul>
        <p>To remove an existing Tcode, click <strong>X</strong> in-line with the entitlement value.</p>
        <h3 id="ManagingSODSimulations(SAP)-Object">Object</h3>
        <p>This tab list the existing objects.</p>
        <p>The existing objects are displayed in the following columns:</p>
        <ul>
            <li>Roles</li>
            <li>Object Name</li>
            <li>Field Name</li>
            <li>Minvalue</li>
            <li>Maxvalue</li>
            <li>SAV AUTH</li>
        </ul>
        <h3 id="ManagingSODSimulations(SAP)-Object(New)">Object (New)</h3>
        <p>You can use this tab to add additional new objects.</p>
        <p>The existing objects along with the new are displayed in the following columns</p>
        <ul>
            <li>Roles</li>
            <li>Already Existing</li>
            <li>Object Name</li>
            <li>Field Name</li>
            <li>Minvalue</li>
            <li>Maxvalue</li>
            <li>SAV AUTH</li>
        </ul>
        <p>To add additional objects, perform the following steps:</p>
        <ol>
            <li>Click <strong>+ Add Object</strong>. The <strong>Add Object</strong> page&#160;appears.</li>
            <li>Select a role in the <strong>Select Role</strong> field.</li>
            <li>Search for one or more entitlement values using <strong>Advanced</strong> option search. For example, you can search based on the entitlement type and status.</li>
            <li>Select one or more entitlement check boxes and click <strong>Save</strong>. Else, click <strong>Close.&#160;</strong>The newly added entitlements and their details are listed in the following fields:<table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0"><col style="width: 0px;" class="TableStyle-Default-Table-Column-Column1" /><col style="width: 0px;" class="TableStyle-Default-Table-Column-Column1" /><thead><tr class="TableStyle-Default-Table-Head-Header1"><th class="TableStyle-Default-Table-HeadE-Column1-Header1">Parameter</th><th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th></tr></thead><tbody><tr class="TableStyle-Default-Table-Body-Body1"><td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1"><p class="table-text">Select Role</p></td><td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1"><p class="table-text">Select the appropriate role name.</p></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1"><p class="table-text">Auth Object</p></td><td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1"><p class="table-text">Select the appropriate auth object.</p></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1"><p class="table-text">Field</p></td><td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1"><p class="table-text">Select the appropriate field name.</p></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1"><p class="table-text">savauthobj</p></td><td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1"><p class="table-text">Enter the appropriate savauthobj details.</p></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1"><p class="table-text">Min Value</p></td><td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1"><p class="table-text">Enter the appropriate minimum value. You can enter the minimum value using the following special characters:</p><ul><li><span style="color: rgb(23,43,77);">&#160;''</span></li><li>&amp;NC&amp;</li><li><span style="color: rgb(23,43,77);">^</span></li><li># , : , / , %</li></ul></td></tr><tr class="TableStyle-Default-Table-Body-Body1"><td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1"><p class="table-text">Max Value</p></td><td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1"><p class="table-text">Enter the appropriate maximum value. You can enter the minimum value using the following special characters:</p><ul><li><span style="color: rgb(23,43,77);">&#160;''</span></li><li>&amp;NC&amp;</li><li><span style="color: rgb(23,43,77);">^</span></li><li># , : , / , %</li></ul></td></tr></tbody></table></li>
        </ol>
        <p>To remove an existing object, click <strong>X</strong> in-line with the entitlement value.</p>
        <h3 id="ManagingSODSimulations(SAP)-SODTab">SOD Tab</h3>
        <p>This tab lists the existing SOD violations associated with a user account.</p>
        <p>The violations that are caused due to existing entitlements are listed in this section. To view them, click <strong>Run SOD</strong>.</p>
        <p>The existing SOD violations are displayed in the following columns:</p>
        <ul>
            <li>Risk Code - Displays the associated risk name.</li>
            <li>Risk Description - Displays the description of the risk.</li>
            <li>Priority - Displays the risk priority</li>
            <li>Functions1 - Displays the associated functions with the risk.</li>
            <li>Functions2 -&#160;Displays the associated functions with the risk.</li>
            <li>Mitigating Control - Displays the mitigating control defined for the risk.</li>
        </ul>
        <h3 id="ManagingSODSimulations(SAP)-SoD(New)Tab">SoD (New) Tab</h3>
        <p>You can use this tab to view the simulation results for SOD violations caused after adding one or more new entitlements in the <strong>Role (New)</strong>&#160;tab.</p>
        <p>To refresh and view the latest SOD violations after adding one or more entitlements, click <strong>Run SOD</strong> to see the new violations.</p>
        <p>The SOD violation simulation details are displayed in the following columns:</p>
        <ul>
            <li>Risk Code - Displays the associated risk name.</li>
            <li>Risk Description - Displays the description of the risk.</li>
            <li>Priority - Displays the risk priority</li>
            <li>Functions1 - Displays the associated functions with the risk.</li>
            <li>Functions2 -&#160;Displays the associated functions with the risk.</li>
            <li>Mitigating Control - Displays the mitigating control defined for the risk.</li>
        </ul>
        <h2 class="sc-lkqHmb grklGJ" id="ManagingSODSimulations(SAP)-ActionsonSODSimulationDetailsforEntitlements(Tcode)">Actions on SOD Simulation Details for Entitlements (Tcode)</h2>
        <p>You can perform one or more actions from Simulation Details page if simulation is not selected from the <strong>Simulation Name</strong> list.</p>
        <p>To manage an action, perform the following steps:</p>
        <ol>
            <li>Go to <strong>SOD&#160;&gt; Simulation &gt; Simulation List.</strong><p>The&#160;<strong>Simulation List</strong> page appears with all the SOD simulations. You can search for one or more simulation using the search and&#160;<strong>Advanced</strong>&#160;search option. Based on the search criteria that you enter in the search or advance search filter fields, the system displays one or more SOD simulations, accordingly.</p></li>
        </ol>
        <ol MadCap:continue="true">
            <li>Click the&#160;<strong>Action</strong>&#160;drop down in the&#160;<strong>Actions</strong>&#160;column in line with the&#160;<strong>Simulation Name</strong>&#160;or&#160;<strong>Type</strong>. Selecting&#160;<strong>View</strong>&#160;option will display the <strong>Simulation Detail</strong>&#160;page.</li>
            <li>Click the&#160;<strong>Actions&#160;</strong>drop down on&#160;the <strong>Simulation Detail</strong>&#160;page.</li>
        </ol>
        <p>The actions you can take on a <strong>Users (Existing Users and All Users Type)</strong>&#160;based simulations and <strong>Entitlements (Existing Roles)</strong>&#160;based simulations are different.</p>
        <p>You can perform the following actions:</p>
        <br />
        <h4 id="ManagingSODSimulations(SAP)-Deletethesimulationdetails">Delete the simulation details</h4>
        <p>To delete the selected simulation details, click <strong>Delete</strong>.&#160;</p>
        <h4 id="ManagingSODSimulations(SAP)-AddTcodestoallRoles">Add Tcodes to all Roles</h4>
        <p>You can add entitlements (Tcodes) to all the roles available in the selected SOD simulation.</p>
        <ol>
            <li>You can select the <strong>Add TCODE to all roles</strong>, from the <strong>Actions</strong> drop down.</li>
            <li>Select one or more entitlements(TCODE) from the <strong>Add TCODE</strong> screen.</li>
            <li>Click <strong>Save</strong> to add the selected entitlements in all the roles listed within the simulation.</li>
        </ol>
        <h4 id="ManagingSODSimulations(SAP)-SimulatetheavailableSODSimulations">Simulate the available SOD Simulations</h4>
        <p>You can run all the listed SOD simulations.</p>
        <ol>
            <li>You can select the <strong>Simulate All</strong> option, from the <strong>Actions</strong> drop down.</li>
            <li>An information pop-up message is displayed, click <strong>Start</strong> if you intend to simulate all the listed simulations, else click <strong>Close</strong>.</li>
            <li>
                <p class="auto-cursor-target">After all the simulations are run the status of the listed simulations from the <strong>Simulation List</strong> page is marked as Completed.<br /></p>
                <p>After the&#160;<strong>Simulate All</strong> option is selected, the <strong>Simulation List</strong> page is automatically displayed, with the status of all the listed simulations as&#160;<strong>In-Process</strong>. The simulation to complete will take some time. After the simulation is completed the status is marked as&#160;Completed,&#160;along with any <strong>SOD</strong> violations are listed in the respective simulations.</p>
            </li>
        </ol>
        <h4 id="ManagingSODSimulations(SAP)-ExportSODSimulations">Export SOD Simulations</h4>
        <p>For more detailed information about exporting the SOD simulations and the supported export formats, see&#160;<MadCap:xref href="Exporting-SOD-Simulation.htm">Exporting SOD Simulation</MadCap:xref>.</p>
        <h2 id="ManagingSODSimulations(SAP)-Troubleshooting">Troubleshooting</h2>
        <p>This section provides solutions to problems you might encounter while working with&#160;SOD simulations.</p>
        <h3 id="ManagingSODSimulations(SAP)-AbletoviewonlyasinglerolewhileaddingnewSAProlesinEntitlementlevelSimulation">Able to view only a single role while adding new SAP roles in Entitlement level Simulation</h3>
        <p>Cause:&#160;</p>
        <p>If the simulation is based on Entitlement (SAP SoD Simulation) and it is created for a Composite SAP role or Single SAP role you cannot add a composite SAP role via the <strong>Child roles (new)</strong> page. This&#160;page displays only Single SAP roles.&#160;When roles are imported from SAP, the <strong>savlevel</strong> column value for Composite SAP Roles in the <strong>entitlement_values</strong> table is set as <strong>1</strong> and <strong>Null</strong> for all other entitlements (Single SAP roles).</p>
        <p><strong>Resolution:&#160;</strong>If you are using release v5.4.0 or prior,&#160;you can&#160;add Composite SAP roles in the <strong>Child Roles (new)</strong> page as&#160;Composite SAP roles by using one of the following options:</p>
        <ul>
            <li>Apply the&#160;patch created for fixing SD-13175 on your war file and clean the data (set the value of the&#160;savlevel&#160;column&#160;as&#160;<strong>1</strong> for Composite SAP roles and NULL for others).&#160;<br /></li>
            <li>Write a custom query to change the value of the&#160;savlevel column to <strong>2</strong> for Composite SAP roles and <strong>NULL</strong> for all other entitlement values.</li>
        </ul>
    </body>
</html>